## sphinx-prompt 1.5.0

=== requirements.txt ===
pipenv==2021.5.29

=== ci/requirements.txt ===
c2cciutils==1.1.dev20210729075943
pipfile==0.0.2

## sphinx-prompt 1.3.0

=== debian/changelog ===
sphinx-prompt (1.3.0-3) unstable; urgency=medium

  * Source-only upload after going through NEW queue (no changes)

 -- Christian Kastner <ckk@debian.org>  Thu, 04 Feb 2021 22:48:04 +0100

sphinx-prompt (1.3.0-2) unstable; urgency=medium

  * Add missing license to debian/copyright

 -- Christian Kastner <ckk@debian.org>  Wed, 13 Jan 2021 19:09:42 +0100

sphinx-prompt (1.3.0-1) unstable; urgency=medium

  * Initial release. Closes: #977651

 -- Christian Kastner <ckk@debian.org>  Sun, 09 Aug 2020 20:13:35 +0200

=== debian/control ===
Source: sphinx-prompt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian Kastner <ckk@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-docutils,
               python3-pygments,
               python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/sbrunner/sphinx-prompt
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-prompt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-prompt

Package: python3-sphinx-prompt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Sphinx directive for formatting interactive prompts
 Sphinx-prompt adds a new directive for documenting steps in interactive
 prompts. Currently, Bash, Python, and Scala syntax are supported.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/(\d\S*)\.tar\.gz/sphinx-prompt-$1\.tar\.gz/" \
  https://github.com/sbrunner/sphinx-prompt/releases .*/(\d\S*)\.tar\.gz

## sphinx-prompt 1.5.0

=== debian/changelog ===
sphinx-prompt (1.5.0-1) unstable; urgency=medium

  * New upstream release.
    - Require python3-sphinx
    - Require python3-pytest
  * Add autopkgtest
  * Update d/watch
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility to 13
  * Update d/copyright

 -- Christian Kastner <ckk@debian.org>  Thu, 17 Feb 2022 20:03:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Christian Kastner <ckk@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-docutils,
                python3-pygments,
+               python3-pytest,
                python3-setuptools,
+               python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/sbrunner/sphinx-prompt
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-prompt.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-prompt

=== debian/tests/control ===
Tests: unittests
Depends: python3-all,
         python3-docutils,
         python3-pygments,
         python3-pytest,
         python3-sphinx,
         python3-sphinx-prompt,

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/(\d\S*)\.tar\.gz/sphinx-prompt-$1\.tar\.gz/" \
  https://github.com/sbrunner/sphinx-prompt/tags .*/(\d\S*)\.tar\.gz

## sphinx-prompt 1.6.0

=== requirements.txt ===
poetry==1.3.2
poetry-plugin-tweak-dependencies-version==1.2.1
poetry-dynamic-versioning==0.21.3
pip==23.0

=== ci/requirements.txt ===
c2cciutils[checks,publish]==1.4.7
pre-commit==3.0.3

=== debian/changelog ===
sphinx-prompt (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0
  * d/*: Running wrap-and-sort -ast
    No modifications, only reorder content.
  * Drop Debian patch queue
    Not needed as all patches are included within the new upstream source.
  * d/control: Adjust B-D, adding BuildProfileSpecs
  * d/rules: Drop --with option in default target
  * d/rules: Use customized dh_auto_test call to use pytest
  * d/rules: Tune upstream version number in pyproject.toml
  * d/copyright: Update year data of contributions
  * autopkgtest: Tune unittests script a bit

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Feb 2023 11:01:23 +0100

sphinx-prompt (1.5.0-3) unstable; urgency=medium

  * Team upload.

  [ Christian Kastner ]
  * Bump Standards-Version to 4.6.2 (no changes needed)

  [ Carsten Schoenert ]
  * Rebuild patch queue from patch-queue branch
    Added patch:
    Fix-for-new-pygment-version.patch
    (Closes: #1028622)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Jan 2023 20:06:31 +0100

sphinx-prompt (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to make the tests pass with docutils 0.19.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 22:03:10 +0300

=== debian/control ===
Source: sphinx-prompt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Christian Kastner <ckk@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-docutils <!nocheck>,
 python3-pygments <!nocheck>,
 python3-pytest <!nocheck>,
 python3-poetry-core,
 python3-sphinx <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/sbrunner/sphinx-prompt
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-prompt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-prompt

Package: python3-sphinx-prompt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx directive for formatting interactive prompts
 Sphinx-prompt adds a new directive for documenting steps in interactive
 prompts. Currently, Bash, Python, and Scala syntax are supported.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=sphinx_prompt

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	# Hack around not updated upstream version in pyproject.toml file.
	sed -i '/^version =/c\version = "$(DEB_VERSION_UPSTREAM)"' pyproject.toml
	dh_auto_build

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest tests"

## sphinx-prompt 1.8.0

=== requirements.txt ===
poetry==1.6.1
poetry-plugin-tweak-dependencies-version==1.5.1
poetry-dynamic-versioning==1.0.1
pip==23.2.1

=== ci/requirements.txt ===
c2cciutils[checks,publish]==1.5.8
pre-commit==3.3.3

=== debian/changelog ===
sphinx-prompt (1.8.0-3) unstable; urgency=medium

  * Team upload.
  * d/.salsa-ci.yml: Adding build/test pipeline
  * autopkgtest: Work around renamed folder

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 29 Nov 2023 17:52:37 +0100

sphinx-prompt (1.8.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 28 Nov 2023 21:05:33 +0100

sphinx-prompt (1.8.0-1) experimental; urgency=medium

  * Team upload.
  * d/watch: Move to git mode
  * New upstream version 1.8.0
  * Rebuild patch queue from patch-queue branch
    Added patch:
    pyproject.toml-Adjust-version-number.patch
  * d/rules: Check used version string in pyproject.toml
    (Closes: #1046426)
  * d/gbp.conf: Add compression type
  * d/control: Add additional needed package python3-poetry
  * d/rules: Work around broken upstream source

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 24 Oct 2023 21:18:38 +0200

sphinx-prompt (1.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.7.0
  * d/control: Set version dep >= 7.0.0 for Sphinx

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 25 May 2023 10:13:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
  python3-docutils <!nocheck>,
  python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-poetry,
  python3-poetry-core,
- python3-sphinx <!nocheck>,
+ python3-sphinx (>= 7.0.0) <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/sbrunner/sphinx-prompt

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
	  filenamemangle=s/.+\/(\d\S*)\.tar\.gz/sphinx-prompt-$1\.tar\.gz/, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/sbrunner/sphinx-prompt.git \
      refs/tags/@ANY_VERSION@

## sphinx-prompt 1.9.0

=== requirements.txt ===
poetry==1.8.3
poetry-plugin-tweak-dependencies-version==1.5.2
poetry-dynamic-versioning==1.4.0
pip==24.2
poetry-plugin-export==1.8.0
poetry-plugin-drop-python-upper-constraint==0.1.0
certifi>=2024.7.4 # not directly required, pinned by Snyk to avoid a vulnerability
zipp>=3.19.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== ci/requirements.txt ===
c2cciutils[checks,publish]==1.6.22
pre-commit==3.8.0
poetry-plugin-drop-python-upper-constraint==0.1.0
poetry-plugin-export==1.8.0
poetry-plugin-tweak-dependencies-version==1.5.2
poetry-dynamic-versioning==1.4.0
importlib-metadata<8.0.0
setuptools>=65.5.1 # not directly required, pinned by Snyk to avoid a vulnerability
certifi>=2024.7.4 # not directly required, pinned by Snyk to avoid a vulnerability
zipp>=3.19.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
sphinx-prompt (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.9.0
  * Rebuild patch queue from patch-queue branch
    Adjusted patch:
    pyproject.toml-Adjust-version-number.patch
  * d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Sep 2024 23:19:48 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-poetry-core,
  python3-sphinx (>= 7.0.0) <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/sbrunner/sphinx-prompt
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-prompt.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-prompt

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-docutils,
 python3-pygments,
 python3-pytest,
 python3-sphinx,
 python3-sphinx-prompt,

## sphinx-prompt 1.10.1

=== requirements.txt ===
poetry==2.1.3
poetry-dynamic-versioning==1.8.2
pip==25.1.1
poetry-plugin-export==1.9.0
certifi>=2024.7.4 # not directly required, pinned by Snyk to avoid a vulnerability
zipp>=3.19.1 # not directly required, pinned by Snyk to avoid a vulnerability
requests>=2.32.4 # not directly required, pinned by Snyk to avoid a vulnerability
urllib3>=2.5.0 # not directly required, pinned by Snyk to avoid a vulnerability

=== ci/requirements.txt ===
c2cciutils==1.7.3
pre-commit==4.2.0
poetry-plugin-export==1.9.0
poetry-dynamic-versioning==1.9.1
importlib-metadata<8.7.1
setuptools>=65.5.1 # not directly required, pinned by Snyk to avoid a vulnerability
certifi>=2024.7.4 # not directly required, pinned by Snyk to avoid a vulnerability
zipp>=3.19.1 # not directly required, pinned by Snyk to avoid a vulnerability
tag-publish==1.1.1
requests>=2.32.4 # not directly required, pinned by Snyk to avoid a vulnerability
urllib3>=2.5.0 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
sphinx-prompt (1.10.1-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Convert to version 5
  * New upstream version 1.10.1
  * Rebuild patch queue from patch-queue branch
    Adjusted patch:
    pyproject.toml-Adjust-version-number.patch
  * d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * d/copyright: Update year data
  * d/control: Bump version on python3-sphinx
  * autopkgtest: Bump python3-sphinx version here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 28 Aug 2025 17:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,8 @@
  python3-pytest <!nocheck>,
  python3-poetry,
  python3-poetry-core,
- python3-sphinx (>= 7.0.0) <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+ python3-sphinx (>= 8.2.3) <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/sbrunner/sphinx-prompt
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-prompt.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-prompt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM
export POETRY_VERSION=$(shell poetry version | cut -f 2 -d " ")

export PYBUILD_NAME=sphinx_prompt

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf sphinx-prompt
	dh_clean

override_dh_auto_build:
	# Ensure the upstream version is set correctly in pyproject.toml file
	# before any build is running.
	@if [ "$$POETRY_VERSION" != "$$DEB_VERSION_UPSTREAM" ]; then \
	    echo "" ;\
	    echo "Error: Version string '$$POETRY_VERSION' in 'pyproject.toml'" ;\
	    echo "doesn't match upstream version '$$DEB_VERSION_UPSTREAM'!" ;\
	    echo "Version correctly adjusted through the patch queue?" ;\
	    echo "" ;\
	    exit 99 ;\
	fi
	cp -a sphinx_prompt sphinx-prompt
	dh_auto_build

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest tests"

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-docutils,
 python3-pygments,
 python3-pytest,
 python3-sphinx (>= 8.2.3),
 python3-sphinx-prompt,

=== debian/watch ===
Version: 5

Source: https://github.com/sbrunner/sphinx-prompt.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+(dfsg|ds)(\.?\d+)?$//
Mode: git
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
